;--------------------------------
; This file defines the behavior when the installer finishes.
; Specifically it shows the readme, waits, then runs the application.
; Showing the readme and running the application are optional.
; It does not need to be changed.
!ifndef _SwordFinish_nsh
!define _SwordFinish_nsh

  !include SwordProduct.nsh
  !include MUI.nsh

  Var README_STATE
  Var RUN_STATE

  ; Merely set a flag indicating whether the readme should be shown
  Function ShowReadme
    StrCpy $README_STATE 1
  FunctionEnd

  ; Merely set a flag indicating whether the program should be run
  Function RunProgram
    StrCpy $RUN_STATE 1
  FunctionEnd

  ;--------------------------------
  ; What to do when all done.
  ; We are flipping the labels so README is before RUN
  ; The $(...) digs into the international strings
  !define MUI_FINISHPAGE_RUN
  !define MUI_FINISHPAGE_RUN_TEXT            $(MUI_TEXT_FINISH_SHOWREADME)
  !define MUI_FINISHPAGE_RUN_FUNCTION        ShowReadme
  !define MUI_FINISHPAGE_SHOWREADME
  !define MUI_FINISHPAGE_SHOWREADME_TEXT     $(MUI_TEXT_FINISH_RUN)
  !define MUI_FINISHPAGE_SHOWREADME_FUNCTION RunProgram
 
  ; Function shows the Readme and when that is closed it runs the program
  Function SwordFinish

    ; If the user has chosen to see the readme:
    ; Show the readme and wait until it is done
    StrCmp $README_STATE "1" 0 label.noshowreadme
      ExecWait 'notepad "$INSTDIR\${PRODUCT_README}"'
    label.noshowreadme:

    ; If the user has chosen to run the program:
    ; Show the InstallMgr and wait until it is done.
    ; Then run the program.
    StrCmp $RUN_STATE "1" 0 label.norun
      ExecWait "$INSTDIR\${PRODUCT_FIRSTRUN}"
      Exec     "$INSTDIR\${PRODUCT_EXECUTABLE}"
    label.norun:

  FunctionEnd

!endif ; _SwordFinish_nsh
