;--------------------------------
; This file defines two functions
; for the (un)setting of SWORD_PATH environment variable.
; It does not need to be changed.
!ifndef _SwordPath_nsh
!define _SwordPath_nsh

!include LogicLib.nsh
!include WriteEnvStr.nsh
!include FileFunc.nsh
!insertmacro GetParent

; Add the SWORD_PATH environment variable
; If it is not present or does not point to a
; directory containing a mods.d directory
Function setSwordPath
  
  ; Look for mods.d under $INSTDIR
  ; If it is there set SWORD_PATH to it
  ; Otherwise go check Library
  ${If} ${FileExists} "$INSTDIR\mods.d"
    Push "SWORD_PATH"
    Push $INSTDIR
    Call WriteEnvStr
  ${Else}
    ; Check for Library/mods.d
    ; and set SWORD_PATH to it
    ${GetParent} $INSTDIR $R0

    ${If} ${FileExists} "$R0\Library\mods.d"
      Push "SWORD_PATH"
      Push "$R0\Library"
      Call WriteEnvStr
    ${EndIf}
  ${EndIf}
FunctionEnd

; Remove SWORD_PATH environment variable
; if there are no other Keys under
; SOFTWARE/CrossWire in either HKLM or HKCU
Function un.setSwordPath
  ;--------------------------------
  ; Remove the environment variables
  Push "SWORD_PATH"
  Call un.DeleteEnvStr
FunctionEnd

!endif ; _SwordPath_nsh 