; Defines for a "product" in the CrossWire Family,
; and defaults to "The SWORD Project" aka BibleCS
;
; Typical usage is to create a project specific header file that
; overrides appropriate defines from this file
; and then include it before this file.
;
; This file should only be included by the installer's nsi file.
; It does not need to be changed.

!ifndef _SwordProduct_nsh
!define _SwordProduct_nsh

  !include MSReg.nsh
  !include SwordFamily.nsh

  ; Basic defines of the product
  !ifndef PRODUCT_NAME
    !define PRODUCT_NAME         "Sword"
  !endif

  !ifndef PRODUCT_TITLE
    !define PRODUCT_TITLE        "The SWORD Project"
  !endif

  !ifndef PRODUCT_MAJOR
    !define PRODUCT_MAJOR        1
  !endif

  !ifndef PRODUCT_MINOR
    !define PRODUCT_MINOR        5
  !endif

  !ifndef PRODUCT_SERVICE
    !define PRODUCT_SERVICE      8
  !endif

  !ifndef PRODUCT_QUALIFIER
    !define PRODUCT_QUALIFIER    0
  !endif

  !ifndef PRODUCT_PUBLISHER
    !define PRODUCT_PUBLISHER    "The Crosswire Bible Society"
  !endif

  !ifndef PRODUCT_WEBSITE
    !define PRODUCT_WEBSITE      "http://www.crosswire.org/sword/software/biblecs"
  !endif

  !ifndef PRODUCT_COPY_START
    !define PRODUCT_COPY_START   "1994"
  !endif

  !ifndef PRODUCT_COPY_END
    !define PRODUCT_COPY_END     "2006"
  !endif


  ; well known parts of the deployment
  !ifndef PRODUCT_DEPLOYDIR
    !define PRODUCT_DEPLOYDIR    "Windows"
  !endif

  !ifndef LIBRARY_DEPLOYDIR
    !define LIBRARY_DEPLOYDIR    "Library"
  !endif

  !ifndef PRODUCT_README
    !define PRODUCT_README       "readme.txt"
  !endif

  !ifndef PRODUCT_FIRSTRUN
    !define PRODUCT_FIRSTRUN     "InstallManager.exe"
  !endif

  !ifndef PRODUCT_SPLASH
    !define PRODUCT_SPLASH       "sword.bmp"
  !endif

  !ifndef PRODUCT_LICENSE
    !define PRODUCT_LICENSE      "LICENSE"
  !endif

  !ifndef PRODUCT_ICUDLL
    !define PRODUCT_ICUDLL       "icudt36.dll"
  !endif


  !ifndef PRODUCT_EXECUTABLE
    !define PRODUCT_EXECUTABLE   "${PRODUCT_NAME}.exe"
  !endif

  !ifndef PRODUCT_URL
    !define PRODUCT_URL          "${PRODUCT_NAME}.url"
  !endif

  !ifndef PRODUCT_UNINSTALL
    !define PRODUCT_UNINSTALL    "${PRODUCT_NAME}Uninstall.exe"
  !endif

  !ifndef PRODUCT_VERSION
    !define PRODUCT_VERSION      "${PRODUCT_MAJOR}.${PRODUCT_MINOR}.${PRODUCT_SERVICE}"
  !endif

  !ifndef PRODUCT_FULL_VERSION
    !define PRODUCT_FULL_VERSION "${PRODUCT_VERSION}.${PRODUCT_QUALIFIER}"
  !endif

  !ifndef PRODUCT_COPYRIGHT
    !define PRODUCT_COPYRIGHT    "${PRODUCT_COPY_START}-${PRODUCT_COPY_END} ${PRODUCT_PUBLISHER}"
  !endif

  !ifndef PRODUCT_REGKEY
    !define PRODUCT_REGKEY       "${FAMILY_REGKEY}\${PRODUCT_TITLE}"
  !endif

  !ifndef PRODUCT_INST_KEY
    !define PRODUCT_INST_KEY     "${MS_CURRENT_APP}\${PRODUCT_EXECUTABLE}"
  !endif

  !ifndef PRODUCT_UNINST_KEY
    !define PRODUCT_UNINST_KEY   "${MS_CURRENT_UNINSTALL}\${PRODUCT_TITLE}"
  !endif


!endif ; _SwordProduct_nsh
